import chronoptics.tof as tof
import numpy as np

from chronoptics.tof import camera


def stream_frames():
    cameras = tof.discoverKeaCameras()
    if len(cameras) == 0:
        print("No camera found")
        return

    cam = tof.KeaCamera(serial=cameras[0].serial())
    print("Streaming from camera {}".format(cam.getSerial()))

    tof.selectStreams(
        cam, [tof.FrameType.Z, tof.FrameType.INTENSITY, tof.FrameType.BGR_PROJECTED]
    )

    cam.start()

    frames = cam.getFrames()

    for frame in frames:
        array = np.asarray(frame)
        print(array)

    # Delete frames, python's garbage collector takes too long to remove these
    del frames


if __name__ == "__main__":
    stream_frames()
